Subject: Re: cygwin with sockscap32
From: Chris Faylor <[email-masked]>
To: MADHU <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 Feb 2001 17:51:37 -0500

On Sat, Feb 24, 2001 at 01:49:54PM -0800, MADHU wrote:
>You may choose to igmore the problem, as you have, and hope it goes
yaway, but it hasnt. cygwin is unusable with sockscap, while it was
>before: because of changes to the code. I would apprecciate it if you
>could keep quietif you have nothing of value to add to the discussion,
>and random rants.

I am sorry but I'm not going to honor your appreciation, especially since
you saw fit to forward private email to the public cygwin list.

What I sent was not a rant.  It was an observation.  If something stops
working between B20 and 1.1.x it does not necessarily indicate that there
is a bug in 1.1.x.

However, the only way the problem is going to be narrowed down is if
you, or someone, debugs sockscap.  The sources *must* be available given
Cygwin's licensing agreement.

If they are not available then this is certainly off-topic for this
mailing list and moreover, is actually illegal.

In my opinion, the facts that you have provided so far do not offer
enough details to allow anyone to debug your problem.  That leaves the
burden on you to either provide more facts or debug the problem yourself.
Given that I haven't seen any sockscap experts stepping forward to offer
in-depth insight, I fear that the burden of debugging this problem may
be yours.

Christopher Faylor
Cygwin Engineering Manager
Red Hat, Inc.

>Regards
>madhu
>
>
>  |Date: Sat, 24 Feb 2001 16:40:02 -0500
>  |From: Chris Faylor <[email-masked]>
>  |On Thu, Feb 22, 2001 at 12:41:20PM -0800, MADHU wrote:
>  |>helu,
>  |>that is just your opinion, I was seeking a little more technical
>  |>explanation, and as I pointed out in my post, and my privatre response
>  |>to ernie boyd, ALL evidence points to a cygwin problem.
>  |
>  |It is more than an opinion.  It is cold hard fact.  Sorry.
>  |
>  |cgf
>  |
>--
>This is the mail archive of the [email-masked] mailing list
>for the Cygwin project.
>Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
>Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
>Re: cygwin with sockscap32
>To: "'Earnie Boyd'" <cygwin at cygwin dot com>
>Subject: Re: cygwin with sockscap32
>From: Christopher Faylor <cgf at redhat dot com>
>Date: Thu, 22 Feb 2001 13:04:55 -0500
>References: <[email-masked]>
><[email-masked]>
>Reply-To: cygwin at cygwin dot com
>
>On Thu, Feb 22, 2001 at 12:29:18PM -0500, Charles S. Wilson wrote:
>>"MADHU,SURESH (HP-Cupertino,ex1)" wrote:
>>> >> I think its a cygnus issue. Because the sockscap code has not
>changed, but
>>> the cygwin code has - and the sockscap source code is not as open
>source as
>>> the cygnus code, 
>>
>>Yes.  It is and must be -- but perhaps the sockscap owners don't
>>understand that.  By linking to the cygwin1.dll, the sockscap code is
>>required to be open source.  If you cannot obtain the source from
>>them,
>>then it is because the owners are VIOLATING cygwin's license.
>>
>>They MUST release the code -- if they don't, I'm sure Red Hat's
>>lawyers
>>would love to talk with them.
>
>Yup.
>
>Also the fact that something "worked" before and "doesn't work" after
>upgrading
>cygwin does *not* automatically mean that "it's a cygwin problem".
>
>cgf
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>References:
>RE: cygwin with sockscap32
>From: MADHU,SURESH (HP-Cupertino,ex1)
>Re: cygwin with sockscap32
>From: Charles S. Wilson
>Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
>Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
>

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple